Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::quake3::SVarGroup Struct Reference

`#include <IQ3Shader.h>`

List of all members.

## Public Member Functions
const core::stringc & | get (const c8 *name) const
u32 | isDefined (const c8 *name, const c8 *content=0) const
void | set (const c8 *name, const c8 *content=0)
| SVarGroup ()
virtual | ~SVarGroup ()
## Public Attributes
core::array< SVariable > | Variable

## Detailed Description

Definition at line 574 of file IQ3Shader.h.

## Constructor & Destructor Documentation

irr::scene::quake3::SVarGroup::SVarGroup | ( |  | ) | `[inline]`

Definition at line 576 of file IQ3Shader.h.

References irr::core::ALLOC_STRATEGY_SAFE, and Variable.

virtual irr::scene::quake3::SVarGroup::~SVarGroup | ( |  | ) | `[inline, virtual]`

Definition at line 577 of file IQ3Shader.h.

## Member Function Documentation

const core::stringc& irr::scene::quake3::SVarGroup::get | ( | const c8 * | name | ) | const`[inline]`

Definition at line 595 of file IQ3Shader.h.

References Variable.

u32 irr::scene::quake3::SVarGroup::isDefined | ( | const c8 * | name,
|  | const c8 * | content = `0` |
| ) |  |  | const`[inline]`

Definition at line 579 of file IQ3Shader.h.

References Variable.

Referenced by set().

void irr::scene::quake3::SVarGroup::set | ( | const c8 * | name,
|  | const c8 * | content = `0` |
| ) |  |  | `[inline]`

Definition at line 606 of file IQ3Shader.h.

References isDefined(), and Variable.

## Member Data Documentation

core::array< SVariable > irr::scene::quake3::SVarGroup::Variable

Definition at line 620 of file IQ3Shader.h.

Referenced by irr::scene::quake3::dumpVarGroup(), get(), isDefined(), set(), and SVarGroup().

The documentation for this struct was generated from the following file:

- IQ3Shader.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:18 2010 by Doxygen (1.5.6)